<!--
  @description: 审核邀请函
  @Modifier: haoFx
  @routerPath: /projectManagement/auditInvitationContent
  @date: 2020-2-24-21:12
-->
<template>
  <div>
    <div class="title p0-16 clearfix">
      <!-- 返回 -->
      <div class="title-back pointer" @click="back">
        <i class="iconfont icon-fanhui mr10" />
        邀请函审核
      </div>
    </div>
    <!--邀请函详情组件-->
    <tenderInvitationDetail />
    <!--操作按鈕 auditStatus 00待审核-->
    <div v-if="$route.query.auditStatus === '00'" class="but_footer">
      <div class="p0-16">
        <div class="page-title">
          审核意见
        </div>
        <el-form ref="auditInfoParam" :model="auditInfoParam">
          <el-form-item ref="auditReason" prop="auditReason">
            <el-input
              v-model="auditInfoParam.auditReason"
              :rows="4"
              type="textarea"
              placeholder="请填写审核意见"
              maxlength="200"
              show-word-limit
            />
          </el-form-item>
        </el-form>
      </div>
      <div class="but_footer-h">
        <div class="but_footer-but">
          <el-button :loading="confirmLoading" type="primary" @click="verified()">
            审核通过
          </el-button>
          <el-button :loading="confirmLoading" @click="auditFail()">
            审核不通过
          </el-button>
          <el-button @click="back()">
            返 回
          </el-button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { auditInvitation } from '@/api/bidding/bidInvitation'
/* 组件*/
import tenderInvitationDetail from '../tenderInvitationDetail/tenderInvitation-detail'

export default {
  name: 'AuditBulletinOpinion',
  components: {
    tenderInvitationDetail
  },
  data() {
    return {
      confirmLoading: false, // 控制按钮重复点击Loding
      // 审核信息参数
      auditInfoParam: {
        auditStatus: '', // 01-审核通过 ||02-审核不通过
        auditReason: '', // 审核意见
        invitationId: this.$route.query.invitationId
      }
    }
  },
  methods: {
    // 返回
    back() {
      this.$router.push({
        path: '/projectManagement/auditInvitation'
      })
    },
    // 操作审核通过不通过调用接口
    handleAuditBulletin(auditStatus) {
      this.auditInfoParam.auditStatus = auditStatus
      auditInvitation(this.auditInfoParam).then(reponse => {
        this.$message({
          type: 'success',
          message: '审核成功'
        })
        this.back()
        this.confirmLoading = false// btnLoding
      }).catch(() => {
        this.confirmLoading = false// btnLoding
      })
    },
    // 审核通过
    verified() {
      this.$confirm('确认提交?', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        confirmButtonClass: 'confirmBtn',
        cancelButtonClass: 'cancelBtn',
        type: 'warning'
      }).then(() => {
        this.handleAuditBulletin('01')
      }).catch(() => {
      })
    },
    // 审核不通过
    auditFail() {
      if (this.auditInfoParam.auditReason) {
        this.$confirm('确认提交?', '提示', {
          confirmButtonText: '确定',
          cancelButtonText: '取消',
          confirmButtonClass: 'confirmBtn',
          cancelButtonClass: 'cancelBtn',
          type: 'warning'
        }).then(() => {
          this.handleAuditBulletin('02')
        }).catch(() => {
        })
      } else {
        this.$message({
          type: 'warning',
          message: '请输入审核意见'
        })
      }
    }
  }
}
</script>

<style lang="less" scoped>

</style>
